changelogs.md


landau/hapi-react

Repository  -  API  -  Source

5.0.1

  • Escape special chars in view path before using in regexp
  • Clear module cache on errors

5.0.0

  • Support react@15.0.0
  • Sync codebase with express-react-views
  • Use babel-preset-es2015
  • Use babel-preset-react
  • Use babel-register
  • Add transformViews option; default true

This is a major version change due to dependency changes, nothing related to actual module usage

4.0.0

  • Use react@0.14.0
  • Use react-dom

3.1.2

  • Fix file path value

3.1.1

  • Use given view path for babel (Windows issue)

3.1.0

  • Use babel

3.0.1

  • Upgrade react to v0.13.1

3.0.0

  • Upgrade react to v0.13.0

2.0.2

  • Remove lodash.merge dep

2.0.1

  • Upgrade deps
  • Update codebase to match express-react-views

2.0.0

  • Upgrade to React 12

1.0.1

  • Fix issue where template was embedding twice

1.0.0

  • Initial port